Subject: Re: bug#31719: icedtea-3 binaries contain references to icedtea-2

From: Gábor Boskovits <[email-masked]>
Date: Tue, 5 Jun 2018 16:45:57 +0200

2018-06-05 14:45 GMT+02:00 Leo Famulari <[email-masked]>:

> On Tue, Jun 05, 2018 at 01:49:12PM +0200, Gábor Boskovits wrote:
> > Do you think we can do something like rebuild icedtea3 with icedtea3, and
> > then rewrite the references? I guess this way the dependency loop could
> be
> > broken, as we could detach the last icedtea3 build from the packages used
> > for bootstrapping.
>
> If the references are not important (that is, if they are not used), we
> could also rewrite them to something that doesn't exist. Currently the
> go-build-system does this so that Go executables don't refer to the Go
> compiler, which is very large.
>

Ok, I will have a look at his, and try to isolate these references. This
looks like a
good first step to evaluate what can be done next.